commit:     9830c2263498a6c9c4beabbefeb3533b372e9fc0
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 13 14:02:39 2019 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 14:17:16 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9830c226

sys-apps/man-db: add /var/cache/man to SANDBOX_PREDICT

Closes: https://bugs.gentoo.org/675478
Package-Manager: Portage-2.3.62_p4, Repoman-2.3.12_p87
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 sys-apps/man-db/{man-db-2.8.5.ebuild => man-db-2.8.5-r1.ebuild} | 7 +++++++
 sys-apps/man-db/man-db-9999.ebuild                              | 7 +++++++
 2 files changed, 14 insertions(+)

diff --git a/sys-apps/man-db/man-db-2.8.5.ebuild 
b/sys-apps/man-db/man-db-2.8.5-r1.ebuild
similarity index 96%
rename from sys-apps/man-db/man-db-2.8.5.ebuild
rename to sys-apps/man-db/man-db-2.8.5-r1.ebuild
index 6935f3bcada..7c43b7e40d5 100644
--- a/sys-apps/man-db/man-db-2.8.5.ebuild
+++ b/sys-apps/man-db/man-db-2.8.5-r1.ebuild
@@ -73,6 +73,10 @@ src_configure() {
        sed -i \
                -e '/^#DEFINE.*\<[nt]roff\>/{s:^#::;s:$: -c:}' \
                src/man_db.conf || die
+
+       cat > 15man-db <<-EOF || die
+       SANDBOX_PREDICT="/var/cache/man"
+       EOF
 }
 
 src_install() {
@@ -82,6 +86,9 @@ src_install() {
 
        exeinto /etc/cron.daily
        newexe "${FILESDIR}"/man-db.cron-r1 man-db #289884
+
+       insinto /etc/sandbox.d
+       doins 15man-db
 }
 
 pkg_preinst() {

diff --git a/sys-apps/man-db/man-db-9999.ebuild 
b/sys-apps/man-db/man-db-9999.ebuild
index 6935f3bcada..7c43b7e40d5 100644
--- a/sys-apps/man-db/man-db-9999.ebuild
+++ b/sys-apps/man-db/man-db-9999.ebuild
@@ -73,6 +73,10 @@ src_configure() {
        sed -i \
                -e '/^#DEFINE.*\<[nt]roff\>/{s:^#::;s:$: -c:}' \
                src/man_db.conf || die
+
+       cat > 15man-db <<-EOF || die
+       SANDBOX_PREDICT="/var/cache/man"
+       EOF
 }
 
 src_install() {
@@ -82,6 +86,9 @@ src_install() {
 
        exeinto /etc/cron.daily
        newexe "${FILESDIR}"/man-db.cron-r1 man-db #289884
+
+       insinto /etc/sandbox.d
+       doins 15man-db
 }
 
 pkg_preinst() {

Reply via email to